package com.example.demo.service;

import java.util.List;

import org.jspecify.annotations.Nullable;

import com.example.demo.dto.RecipeDto;
import com.example.demo.entity.Recipe;
import com.example.demo.entity.User;

public interface RecipeService {
	RecipeDto convertToDto(Recipe recipe);

	RecipeDto saveRecipe(RecipeDto recipe);

	List<RecipeDto> getAllRecipes();

	RecipeDto getRecipeById(Integer recipeId);

	RecipeDto updateRecipe(RecipeDto recipedto, Integer Id);

	void deleteRecipe(Integer Id);

}
